Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.transform
Class MutableTransformerDecorator

    java.lang.Object
      edu.uci.ics.jung.visualization.transform.MutableTransformerDecorator

All Implemented Interfaces:
  ChangeEventSupport, MutableTransformer, ShapeTransformer, Transformer

Direct Known Subclasses:
  LensTransformer

public abstract class MutableTransformerDecorator
extends Object
implements MutableTransformer

a complete decorator that wraps a MutableTransformer. Subclasses use this to allow them to only declare methods they need to change.

Author:
  Tom Nelson - RABA Technologies

Field Summary
`protected MutableTransformer` | `delegate`

Constructor Summary
`MutableTransformerDecorator(MutableTransformer delegate)`

Method Summary
`void` | `addChangeListener(ChangeListener l)`
`void` | `concatenate(AffineTransform transform)`
`void` | `fireStateChanged()`
`ChangeListener[]` | `getChangeListeners()` Returns an array of all the `ChangeListener`s added with addChangeListener().
`MutableTransformer` | `getDelegate()`
`double` | `getRotation()`
`double` | `getScale()`
`double` | `getScaleX()`
`double` | `getScaleY()`
`double` | `getShearX()`
`double` | `getShearY()`
`AffineTransform` | `getTransform()`
`double` | `getTranslateX()`
`double` | `getTranslateY()`
`Point2D` | `inverseTransform(Point2D p)` convert the supplied screen coordinate to the graph coordinate.
`Shape` | `inverseTransform(Shape shape)`
`void` | `preConcatenate(AffineTransform transform)`
`void` | `removeChangeListener(ChangeListener l)` Removes a ChangeListener.
`void` | `rotate(double radians, double x, double y)`
`void` | `rotate(double radians, Point2D point)`
`void` | `scale(double sx, double sy, Point2D point)`
`void` | `setDelegate(MutableTransformer delegate)`
`void` | `setScale(double sx, double sy, Point2D point)`
`void` | `setToIdentity()`
`void` | `setTranslate(double dx, double dy)`
`void` | `shear(double shx, double shy, Point2D from)`
`Point2D` | `transform(Point2D p)` convert the supplied graph coordinate to the screen coordinate
`Shape` | `transform(Shape shape)` map a shape from graph coordinate system to the screen coordinate system
`void` | `translate(double dx, double dy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delegate

    protected MutableTransformer delegate

Constructor Detail

### MutableTransformerDecorator

    public MutableTransformerDecorator(MutableTransformer delegate)

Method Detail

### getDelegate

    public MutableTransformer getDelegate()

  Returns:
    Returns the delegate.

### setDelegate

    public void setDelegate(MutableTransformer delegate)

  Parameters:
    `delegate` - The delegate to set.

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Specified by:
    `addChangeListener` in interface `ChangeEventSupport`

### concatenate

    public void concatenate(AffineTransform transform)

  Specified by:
    `concatenate` in interface `MutableTransformer`

### fireStateChanged

    public void fireStateChanged()

  Specified by:
    `fireStateChanged` in interface `ChangeEventSupport`

### getChangeListeners

    public ChangeListener[] getChangeListeners()

  Description copied from interface: `ChangeEventSupport`
  Returns an array of all the `ChangeListener`s added with addChangeListener().

  Specified by:
    `getChangeListeners` in interface `ChangeEventSupport`
  Returns:
    all of the `ChangeListener`s added or an empty array if no listeners have been added

### getScale

    public double getScale()

  Specified by:
    `getScale` in interface `MutableTransformer`

### getScaleX

    public double getScaleX()

  Specified by:
    `getScaleX` in interface `MutableTransformer`

### getScaleY

    public double getScaleY()

  Specified by:
    `getScaleY` in interface `MutableTransformer`

### getShearX

    public double getShearX()

  Specified by:
    `getShearX` in interface `MutableTransformer`

### getShearY

    public double getShearY()

  Specified by:
    `getShearY` in interface `MutableTransformer`

### getTransform

    public AffineTransform getTransform()

  Specified by:
    `getTransform` in interface `MutableTransformer`

### getTranslateX

    public double getTranslateX()

  Specified by:
    `getTranslateX` in interface `MutableTransformer`

### getTranslateY

    public double getTranslateY()

  Specified by:
    `getTranslateY` in interface `MutableTransformer`

### inverseTransform

    public Point2D inverseTransform(Point2D p)

  Description copied from interface: `Transformer`
  convert the supplied screen coordinate to the graph coordinate.

  Specified by:
    `inverseTransform` in interface `Transformer`
  Parameters:
    `p` - screen point to convert
  Returns:
    the graph point

### inverseTransform

    public Shape inverseTransform(Shape shape)

  Specified by:
    `inverseTransform` in interface `ShapeTransformer`

### preConcatenate

    public void preConcatenate(AffineTransform transform)

  Specified by:
    `preConcatenate` in interface `MutableTransformer`

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Description copied from interface: `ChangeEventSupport`
  Removes a ChangeListener.

  Specified by:
    `removeChangeListener` in interface `ChangeEventSupport`
  Parameters:
    `l` - the listener to be removed

### rotate

    public void rotate(double radians,
                       Point2D point)

  Specified by:
    `rotate` in interface `MutableTransformer`

### scale

    public void scale(double sx,
                      double sy,
                      Point2D point)

  Specified by:
    `scale` in interface `MutableTransformer`

### setScale

    public void setScale(double sx,
                         double sy,
                         Point2D point)

  Specified by:
    `setScale` in interface `MutableTransformer`

### setToIdentity

    public void setToIdentity()

  Specified by:
    `setToIdentity` in interface `MutableTransformer`

### setTranslate

    public void setTranslate(double dx,
                             double dy)

  Specified by:
    `setTranslate` in interface `MutableTransformer`

### shear

    public void shear(double shx,
                      double shy,
                      Point2D from)

  Specified by:
    `shear` in interface `MutableTransformer`

### transform

    public Point2D transform(Point2D p)

  Description copied from interface: `Transformer`
  convert the supplied graph coordinate to the screen coordinate

  Specified by:
    `transform` in interface `Transformer`
  Parameters:
    `p` - graph point to convert
  Returns:
    screen point

### transform

    public Shape transform(Shape shape)

  Description copied from interface: `ShapeTransformer`
  map a shape from graph coordinate system to the screen coordinate system

  Specified by:
    `transform` in interface `ShapeTransformer`
  Parameters:
    `shape` -
  Returns:
    a GeneralPath (Shape) representing the screen points of the shape

### translate

    public void translate(double dx,
                          double dy)

  Specified by:
    `translate` in interface `MutableTransformer`

### getRotation

    public double getRotation()

  Specified by:
    `getRotation` in interface `MutableTransformer`

### rotate

    public void rotate(double radians,
                       double x,
                       double y)

  Specified by:
    `rotate` in interface `MutableTransformer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD